searchNodes=[{"doc":"Documentation for Qdrant.","ref":"Qdrant.html","title":"Qdrant","type":"module"},{"doc":"Returns information about a collection with the given name.","ref":"Qdrant.html#collection_info/1","title":"Qdrant.collection_info/1","type":"function"},{"doc":"Creates a collection with the given name and body. Body must be a map with the key vectors , example: %{ vectors : %{ size : 42 , distance : &quot;Cosine&quot; } } For full documentation check: Qdrant Create Collection","ref":"Qdrant.html#create_collection/3","title":"Qdrant.create_collection/3","type":"function"},{"doc":"Deletes a collection with the given name.","ref":"Qdrant.html#delete_collection/2","title":"Qdrant.delete_collection/2","type":"function"},{"doc":"Retrieve full information of single point by id. Example: Qdrant . get_point ( &quot;collection_name&quot; , 1 )","ref":"Qdrant.html#get_point/3","title":"Qdrant.get_point/3","type":"function"},{"doc":"Retrieve multiple points by specified IDs Example: body = %{ ids : [ 1 , 2 , 3 ] , with_payload : true } Qdrant . get_points ( &quot;collection_name&quot; , body )","ref":"Qdrant.html#get_points/3","title":"Qdrant.get_points/3","type":"function"},{"doc":"Returns a list of all collections.","ref":"Qdrant.html#list_collections/0","title":"Qdrant.list_collections/0","type":"function"},{"doc":"Search for points in the given collection. Retrieve closest points based on vector similarity and given filtering conditions. Parameters: collection_name - name of the collection to search in body - search body consistency - Define read consistency guarantees for the operation Body must be a map with the key limit and vector , example: %{ vector : vector , limit : 3 , with_payload : true } Example: body = %{ vector : vector , limit : 3 , with_payload : true } Qdrant . search_points ( &quot;collection_name&quot; , body )","ref":"Qdrant.html#search_points/3","title":"Qdrant.search_points/3","type":"function"},{"doc":"Perform insert + updates on points. If point with given ID already exists - it will be overwritten. Body must be a map with the key points or batch , example: %{ points : [ %{ id : 1 , vector : vector1 } , %{ id : 2 , vector : vector2 } ] } Or batch: %{ batch : %{ ids : [ 1 , 2 ] , vectors : [ vector1 , vector2 ] } } For full documentation check: Qdrant Upsert Points","ref":"Qdrant.html#upsert_point/4","title":"Qdrant.upsert_point/4","type":"function"},{"doc":"Qdrant.Api.Client is a Tesla-based client for the Qdrant API. The module provides methods for interacting with the Qdrant API server. Example iex&gt; Qdrant.Api.Client . get ( &quot;/collections&quot; ) { :ok , % Tesla.Env { status : 200 , body : %{ &quot;collections&quot; =&gt; [ ] } } } Or as a macro: iex&gt; use Qdrant.Api.Http.Client iex&gt; scope ( &quot;/collections&quot; ) iex&gt; get ( &quot;&quot; ) # The path is relative to the scope path set above (&quot;/collections&quot;) # and not the base url set in the config file. # This is so that you don&#39;t have to repeat the scope path in every request just the relative path. { :ok , % Tesla.Env { status : 200 , body : %{ &quot;collections&quot; =&gt; [ ... ] } } }","ref":"Qdrant.Api.Http.Client.html","title":"Qdrant.Api.Http.Client","type":"module"},{"doc":"Service distributed setup.","ref":"Qdrant.Api.Http.Cluster.html","title":"Qdrant.Api.Http.Cluster","type":"module"},{"doc":"Get information about the current state and composition of the cluster. See more on qdrant Example iex&gt; Qdrant.Api.Http.Cluster . cluster_status ( ) { :ok , % Tesla.Env { status : 200 , body : %{ &quot;result&quot; =&gt; %{ &quot;status&quot; =&gt; &quot;disabled&quot; , } , &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 } } }","ref":"Qdrant.Api.Http.Cluster.html#cluster_status/0","title":"Qdrant.Api.Http.Cluster.cluster_status/0","type":"function"},{"doc":"Get cluster information for a collection. See more on qdrant Parameters collection_name required - string collection name","ref":"Qdrant.Api.Http.Cluster.html#collection_cluster_info/1","title":"Qdrant.Api.Http.Cluster.collection_cluster_info/1","type":"function"},{"doc":"Tries to recover current peer Raft state. [See more on qdrant]( https://qdrant.github.io/qdrant/redoc/index.html#tag/cluster/operation/recover_current_peer Example iex&gt; Qdrant.Api.Http.Cluster . recover_current_peer ( ) { :ok , % Tesla.Env { status : 200 , body : %{ &quot;result&quot; =&gt; true , &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 } } }","ref":"Qdrant.Api.Http.Cluster.html#recover_current_peer/0","title":"Qdrant.Api.Http.Cluster.recover_current_peer/0","type":"function"},{"doc":"Remove peer from the cluster by its id. See more on qdrant Tries to remove peer from the cluster. Will return an error if peer has shards on it. Parameters peer_id required - integer peer id Example iex&gt; Qdrant.Api.Http.Cluster . remove_peer ( 42 ) { :ok , % Tesla.Env { status : 200 , body : %{ &quot;result&quot; =&gt; true , &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 } } }","ref":"Qdrant.Api.Http.Cluster.html#remove_peer/1","title":"Qdrant.Api.Http.Cluster.remove_peer/1","type":"function"},{"doc":"Update collection cluster setup. See more on qdrant Parameters collection_name required - string collection name Query Parameters timeout - Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error.","ref":"Qdrant.Api.Http.Cluster.html#update_collection_cluster/2","title":"Qdrant.Api.Http.Cluster.update_collection_cluster/2","type":"function"},{"doc":"","ref":"Qdrant.Api.Http.Cluster.html#t:abort_transfer/0","title":"Qdrant.Api.Http.Cluster.abort_transfer/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Cluster.html#t:drop_replica/0","title":"Qdrant.Api.Http.Cluster.drop_replica/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Cluster.html#t:move_shard/0","title":"Qdrant.Api.Http.Cluster.move_shard/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Cluster.html#t:replicate_shard/0","title":"Qdrant.Api.Http.Cluster.replicate_shard/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Cluster.html#t:shard_operations/0","title":"Qdrant.Api.Http.Cluster.shard_operations/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Cluster.html#t:shard_params/0","title":"Qdrant.Api.Http.Cluster.shard_params/0","type":"type"},{"doc":"Qdrant API Collections. Collections are searchable collections of points.","ref":"Qdrant.Api.Http.Collections.html","title":"Qdrant.Api.Http.Collections","type":"module"},{"doc":"Get cluster information for a collection See more on qdrant Path parameters collection_name required : Name of the collection to retrieve the cluster info for Example iex&gt; Qdrant . collection_cluster_info ( &quot;collection_name&quot; ) { :ok , %{ &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 , &quot;result&quot; =&gt; %{ &quot;operation_id&quot; =&gt; 42 , status : &quot;acknowledged&quot; } } } } }","ref":"Qdrant.Api.Http.Collections.html#collection_cluster_info/1","title":"Qdrant.Api.Http.Collections.collection_cluster_info/1","type":"function"},{"doc":"Get detailed information about specified existing collection. See more on qdrant Path parameters collection_name required : name of the collection Example iex&gt; Qdrant.Api.Http.Collections . collection_info ( &quot;my_collection&quot; ) { :ok , % Tesla.Env { status : 200 , body : %{ &quot;result&quot; =&gt; %{ &quot;collection_type&quot; =&gt; &quot;Flat&quot; , &quot;name&quot; =&gt; &quot;my_collection&quot; , &quot;points_count&quot; =&gt; 0 , &quot;vectors_count&quot; =&gt; 0 } , &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 2.043e-6 } } }","ref":"Qdrant.Api.Http.Collections.html#collection_info/1","title":"Qdrant.Api.Http.Collections.collection_info/1","type":"function"},{"doc":"Create new collection with given parameters. See more on qdrant Path parameters name required : Name of the new collection Query parameters timeout optional : Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error. Request body schema vectors required : Vector params separator for single and multiple vector modes. Single mode: %{size: 128, distance: &quot;Cosine&quot;} or multiple mode: %{default: {size: 128, distance: &quot;Cosine&quot;}} shard_number optional : null or positive integer Default: null . Number of shards in collection. Default is 1 for standalone, otherwise equal to the number of nodes Minimum is 1. replication_factor optional : null or positive integer Default: null . Number of shards replicas. Default is 1 Minimum is 1 write_consistency_factor optional : null or positive integer Default: null . Defines how many replicas should apply the operation for us to consider it successful. Increasing this number will make the collection more resilient to inconsistencies, but will also make it fail if not enough replicas are available. Does not have any performance impact. on_disk_payload optional : boolean or null Default: null . If true - point's payload will not be stored in memory. It will be read from the disk every time it is requested. This setting saves RAM by (slightly) increasing the response time. Note: those payload values that are involved in filtering and are indexed - remain in RAM. hnsw_config optional : Custom params for HNSW index. If none - values from service configuration file are used. wal_config optional : Custom params for WAL. If none - values from service configuration file are used. optimizers_config optional : Custom params for Optimizers. If none - values from service configuration file are used. init_from optional : null or string Default: null . Specify other collection to copy data from. quantization_config optional : Default: null . m Quantization parameters. If none - quantization is disabled.","ref":"Qdrant.Api.Http.Collections.html#create_collection/3","title":"Qdrant.Api.Http.Collections.create_collection/3","type":"function"},{"doc":"Create a new snapshot for a collection. See more on qdrant Path parameters collection_name required : Name of the collection to create a snapshot for Query parameters wait optional : If true, wait for changes to actually happen. If false - let changes happen in background. Default is true.","ref":"Qdrant.Api.Http.Collections.html#create_collection_snapshot/2","title":"Qdrant.Api.Http.Collections.create_collection_snapshot/2","type":"function"},{"doc":"Create index for field in collection See more on qdrant Path parameters collection_name required : Name of the collection Query parameters wait optional : If true, wait for changes to actually happen ordering optional : Define ordering guarantees for the operation Request body schema field_name required : Name of the field to index field_schema required : Type of the field to index Example iex&gt; Qdrant . create_field_index ( &quot;collection_name&quot; , %{ field_name : &quot;field_name&quot; , field_schema : &quot;field_schema&quot; } ) { :ok , %{ &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 , &quot;result&quot; =&gt; %{ &quot;operation_id&quot; =&gt; 42 , status : &quot;acknowledged&quot; } } } } }","ref":"Qdrant.Api.Http.Collections.html#create_field_index/4","title":"Qdrant.Api.Http.Collections.create_field_index/4","type":"function"},{"doc":"Drop collection and all associated data See more on qdrant Path parameters collection_name required : Name of the collection to delete Query parameters timeout optional : Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error.","ref":"Qdrant.Api.Http.Collections.html#delete_collection/2","title":"Qdrant.Api.Http.Collections.delete_collection/2","type":"function"},{"doc":"Delete snapshot for a collection See more on qdrant Path parameters collection_name required : Name of the collection to delete a snapshot for snapshot_name required : Name of the snapshot to delete Query parameters wait optional : If true, wait for changes to actually happen. If false - let changes happen in background. Default is true.","ref":"Qdrant.Api.Http.Collections.html#delete_collection_snapshot/3","title":"Qdrant.Api.Http.Collections.delete_collection_snapshot/3","type":"function"},{"doc":"Delete index for field in collection See more on qdrant Path parameters collection_name required : Name of the collection field_name required : Name of the field where to delete the index Query parameters wait optional : If true, wait for changes to actually happen ordering optional : Define ordering guarantees for the operation Example iex&gt; Qdrant . delete_field_index ( &quot;collection_name&quot; , &quot;field_name&quot; ) { :ok , %{ &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 , &quot;result&quot; =&gt; %{ &quot;operation_id&quot; =&gt; 42 , status : &quot;acknowledged&quot; } } } } }","ref":"Qdrant.Api.Http.Collections.html#delete_field_index/4","title":"Qdrant.Api.Http.Collections.delete_field_index/4","type":"function"},{"doc":"Download specified snapshot from a collection as a file. See more on qdrant Path parameters collection_name required : Name of the collection to download a snapshot for snapshot_name required : Name of the snapshot to download","ref":"Qdrant.Api.Http.Collections.html#download_collection_snapshot/2","title":"Qdrant.Api.Http.Collections.download_collection_snapshot/2","type":"function"},{"doc":"Get list of all aliases for a collection See more on qdrant Path parameters collection_name required : Name of the collection to retrieve the aliases for Example iex&gt; Qdrant . list_collection_aliases ( &quot;collection_name&quot; ) { :ok , %{ &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 , &quot;result&quot; =&gt; %{ &quot;operation_id&quot; =&gt; 42 , status : &quot;acknowledged&quot; } } } } }","ref":"Qdrant.Api.Http.Collections.html#list_collection_aliases/1","title":"Qdrant.Api.Http.Collections.list_collection_aliases/1","type":"function"},{"doc":"Get list of snapshots for a collection. See more on qdrant","ref":"Qdrant.Api.Http.Collections.html#list_collection_snapshots/1","title":"Qdrant.Api.Http.Collections.list_collection_snapshots/1","type":"function"},{"doc":"Get list name of all existing collections. See more on qdrant Example iex&gt; Qdrant.Api.Http.Collections . list_collections ( ) { :ok , % Tesla.Env { status : 200 , body : %{ &quot;result&quot; =&gt; %{ &quot;collections&quot; =&gt; [ ... ] } , &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 2.043e-6 } } }","ref":"Qdrant.Api.Http.Collections.html#list_collections/0","title":"Qdrant.Api.Http.Collections.list_collections/0","type":"function"},{"doc":"Update aliases of the collections See more on qdrant Query parameters timeout optional : Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error. Request body schema actions required : List of actions to perform. Create_alias or delete_alias or rename_alias. Example iex&gt; Qdrant . update_aliases ( %{ ...&gt; actions : [ ...&gt; %{ create_alias : %{ alias : &quot;alias_name&quot; , collection : &quot;collection_name&quot; } } , ...&gt; %{ delete_alias : %{ alias : &quot;alias_name&quot; } } , ...&gt; %{ rename_alias : %{ alias : &quot;alias_name&quot; , new_alias : &quot;new_alias_name&quot; } } ...&gt; ] ...&gt; } ) { :ok , %{ &quot;result&quot; =&gt; true , &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 } }","ref":"Qdrant.Api.Http.Collections.html#update_aliases/2","title":"Qdrant.Api.Http.Collections.update_aliases/2","type":"function"},{"doc":"Update collection parameters See more on qdrant Path parameters collection_name required : Name of the collection to update Query parameters timeout optional : Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error. Request body schema optimizers_config optional : Custom params for Optimizers. If none - values from service configuration file are used. This operation is blocking, it will only proceed ones all current optimizations are complete params optional : Collection base params. If none - values from service configuration file are used.","ref":"Qdrant.Api.Http.Collections.html#update_collection/3","title":"Qdrant.Api.Http.Collections.update_collection/3","type":"function"},{"doc":"Update collection cluster setup See more on qdrant Path parameters collection_name required : Name of the collection on which to to apply the cluster update operation Query parameters timeout optional : Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error. Request body schema move_shard or replicate_shard or abort_transfer or drop_replica required : List of actions to perform. Example iex&gt; Qdrant . update_collection_cluster ( &quot;collection_name&quot; , %{ ...&gt; move_shard : %{ ...&gt; shard_id : 1 , ...&gt; to_peer_id : 42 , ...&gt; from_peer_id : 69 ...&gt; } ...&gt; } ) { :ok , %{ &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 , &quot;result&quot; =&gt; %{ &quot;operation_id&quot; =&gt; 42 , status : &quot;acknowledged&quot; } } } } } iex&gt; Qdrant . update_collection_cluster ( &quot;collection_name&quot; , %{ ...&gt; drop_replica : %{ ...&gt; shard_id : 1 , ...&gt; peer_id : 42 ...&gt; } ...&gt; } ) { :ok , %{ &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 , &quot;result&quot; =&gt; %{ &quot;operation_id&quot; =&gt; 42 , status : &quot;acknowledged&quot; } } } } }","ref":"Qdrant.Api.Http.Collections.html#update_collection_cluster/3","title":"Qdrant.Api.Http.Collections.update_collection_cluster/3","type":"function"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:alias_actions_list/0","title":"Qdrant.Api.Http.Collections.alias_actions_list/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:cluster_update_body/0","title":"Qdrant.Api.Http.Collections.cluster_update_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:consistency/0","title":"Qdrant.Api.Http.Collections.consistency/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:create_alias/0","title":"Qdrant.Api.Http.Collections.create_alias/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:create_collection_body/0","title":"Qdrant.Api.Http.Collections.create_collection_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:delete_alias/0","title":"Qdrant.Api.Http.Collections.delete_alias/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:drop_replica_params/0","title":"Qdrant.Api.Http.Collections.drop_replica_params/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:extended_point_id/0","title":"Qdrant.Api.Http.Collections.extended_point_id/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:field_index/0","title":"Qdrant.Api.Http.Collections.field_index/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:field_schema/0","title":"Qdrant.Api.Http.Collections.field_schema/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:hnsw_config/0","title":"Qdrant.Api.Http.Collections.hnsw_config/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:index_body_type/0","title":"Qdrant.Api.Http.Collections.index_body_type/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:optimizers_config/0","title":"Qdrant.Api.Http.Collections.optimizers_config/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:ordering/0","title":"Qdrant.Api.Http.Collections.ordering/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:point/0","title":"Qdrant.Api.Http.Collections.point/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:quantization_config/0","title":"Qdrant.Api.Http.Collections.quantization_config/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:rename_alias/0","title":"Qdrant.Api.Http.Collections.rename_alias/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:shadred_operation_params/0","title":"Qdrant.Api.Http.Collections.shadred_operation_params/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:tokenizer_type/0","title":"Qdrant.Api.Http.Collections.tokenizer_type/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:update_collection_body/0","title":"Qdrant.Api.Http.Collections.update_collection_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:vector/0","title":"Qdrant.Api.Http.Collections.vector/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:with_payload_interface/0","title":"Qdrant.Api.Http.Collections.with_payload_interface/0","type":"type"},{"doc":"Qdrant API Points. Float-point vectors with payload. Points are the main data structure in Qdrant. Each point is a vector of floats, that is associated with an ID and a payload. Qdrant allows to perform search operations on points, and also to store arbitrary JSON payloads with each point. Points are stored in collections, and each collection has its own set of vectors.","ref":"Qdrant.Api.Http.Points.html","title":"Qdrant.Api.Http.Points","type":"module"},{"doc":"Remove all payload for specified points Path parameters collection_name required : Name of the collection to clear payload from Query parameters wait optional : If true, wait for changes to actually happen ordering optional : Define ordering guarantees for the operation Request body schema points required : List of points to clear payload from","ref":"Qdrant.Api.Http.Points.html#clear_payload/4","title":"Qdrant.Api.Http.Points.clear_payload/4","type":"function"},{"doc":"Count points which matches given filtering condition Path parameters collection_name required : Name of the collection to count in Request body schema filter optional : Filter to apply to the search results. Look only for points which satisfies this conditions exact optional : If true, count exact number of points. If false, count approximate number of points faster. Approximate count might be unreliable during the indexing process. Default: true","ref":"Qdrant.Api.Http.Points.html#count_points/2","title":"Qdrant.Api.Http.Points.count_points/2","type":"function"},{"doc":"Delete specified key payload for points Path parameters collection_name required : Name of the collection to delete from Query parameters wait optional : If true, wait for changes to actually happen ordering optional : Define ordering guarantees for the operation Request body schema keys required : List of payload keys to remove from payload points required : Deletes values from each point in this list filter optional : Deletes values from points that satisfy this filter condition","ref":"Qdrant.Api.Http.Points.html#delete_payload/4","title":"Qdrant.Api.Http.Points.delete_payload/4","type":"function"},{"doc":"Delete points Path parameters collection_name required : Name of the collection to update from Query parameters wait optional : If true, wait for changes to actually happen ordering optional : Define ordering guarantees for the operation Request body schema points required : List of points to delete","ref":"Qdrant.Api.Http.Points.html#delete_points/4","title":"Qdrant.Api.Http.Points.delete_points/4","type":"function"},{"doc":"Retrieve full information of single point by id. Path parameters collection_name required : Name of the collection to update from id required : ID of the point to retrieve Query parameters consistency optional : Define read consistency guarantees for the operation","ref":"Qdrant.Api.Http.Points.html#get_point/3","title":"Qdrant.Api.Http.Points.get_point/3","type":"function"},{"doc":"Retrieve multiple points by specified IDs. Path parameters collection_name required : Name of the collection to update from Query parameters consistency optional : Define read consistency guarantees for the operation Request body schema ids required : List of IDs to retrieve with_payload optional : Select which payload to return with the response. Default: All with_vector optional : Options for specifying which vector to include","ref":"Qdrant.Api.Http.Points.html#get_points/3","title":"Qdrant.Api.Http.Points.get_points/3","type":"function"},{"doc":"Replace full payload of points with new one Path parameters collection_name required : Name of the collection to set from Query parameters wait optional : If true, wait for changes to actually happen ordering optional : Define ordering guarantees for the operation Request body schema payload required : Payload to set points required : Assigns payload to each point in this list filter optional : Assigns payload to each point that satisfy this filter condition","ref":"Qdrant.Api.Http.Points.html#overwrite_payload/4","title":"Qdrant.Api.Http.Points.overwrite_payload/4","type":"function"},{"doc":"Look for the points which are closer to stored positive examples and at the same time further to negative examples. Path parameters collection_name required : Name of the collection to search in Query parameters consistency optional : Define read consistency guarantees for the operation Request body schema positive required : Look for vectors closest to those negative required : Look for vectors further from those | Try to avoid vectors like this filter optional : Look only for points which satisfies this conditions params optional : Additional search parameters limit required : Maximum number of points to return offset optional : Offset of the first result to return. May be used to paginate results. Note: large offset values may cause performance issues. with_payload optional : Select which payload to return with the response. Default: None with_vector optional : Whether to return the point vector with the result? score_threshold optional : Define a minimal score threshold for the result. If defined, less similar results will not be returned. Score of the returned result might be higher or smaller than the threshold depending on the Distance function used. E.g. for cosine similarity only higher scores will be returned. using optional : Define which vector to use for recommendation, if not specified - try to use default vector lookup_from optional : The location used to lookup vectors. If not specified - use current collection. Note: the other collection should have the same vector size as the current collection","ref":"Qdrant.Api.Http.Points.html#recommend_points/3","title":"Qdrant.Api.Http.Points.recommend_points/3","type":"function"},{"doc":"Request points based on positive and negative examples. Path parameters collection_name required : Name of the collection to search in Query parameters consistency optional : Define read consistency guarantees for the operation Request body schema searches required : List of searches to perform","ref":"Qdrant.Api.Http.Points.html#recommend_points_batch/3","title":"Qdrant.Api.Http.Points.recommend_points_batch/3","type":"function"},{"doc":"Scroll request - paginate over all points which matches given filtering condition Path parameters collection_name required : Name of the collection to retrieve from Query parameters consistency optional : Define read consistency guarantees for the operation Request body schema offset optional : Start ID to read points from. limit optional : Page size. Default: 10 filter optional : Look only for points which satisfies this conditions. If not provided - all points. with_payload optional : Select which payload to return with the response. Default: All with_vector optional : Options for specifying which vector to include","ref":"Qdrant.Api.Http.Points.html#scroll_points/3","title":"Qdrant.Api.Http.Points.scroll_points/3","type":"function"},{"doc":"Retrieve closest points based on vector similarity and given filtering conditions Path parameters collection_name required : Name of the collection to search in Query parameters consistency optional : Define read consistency guarantees for the operation Request body schema vector required : Vector to search for filter optional : Filter to apply to the search results. Look only for points which satisfies this conditions params optional : Additional search parameters limit required : Maximum number of points to return offset optional : Offset of the first result to return. May be used to paginate results. Note: large offset values may cause performance issues. with_payload optional : Select which payload to return with the response. Default: None with_vector optional : Whether to return the point vector with the result? score_threshold optional : Define a minimal score threshold for the result. If defined, less similar results will not be returned. Score of the returned result might be higher or smaller than the threshold depending on the Distance function used. E.g. for cosine similarity only higher scores will be returned.","ref":"Qdrant.Api.Http.Points.html#search_points/3","title":"Qdrant.Api.Http.Points.search_points/3","type":"function"},{"doc":"Retrieve by batch the closest points based on vector similarity and given filtering conditions Path parameters collection_name required : Name of the collection to search in Query parameters consistency optional : Define read consistency guarantees for the operation Request body schema searches required : List of searches to perform","ref":"Qdrant.Api.Http.Points.html#search_points_batch/3","title":"Qdrant.Api.Http.Points.search_points_batch/3","type":"function"},{"doc":"Set payload values for points Path parameters collection_name required : Name of the collection to set from Query parameters wait optional : If true, wait for changes to actually happen ordering optional : Define ordering guarantees for the operation Request body schema payload required : Payload to set points required : Assigns payload to each point in this list filter optional : Assigns payload to each point that satisfy this filter condition","ref":"Qdrant.Api.Http.Points.html#set_payload/4","title":"Qdrant.Api.Http.Points.set_payload/4","type":"function"},{"doc":"Perform insert + updates on points. If point with given ID already exists - it will be overwritten. See more on qdrant Path parameters collection_name required : Name of the collection to update from Query parameters wait optional : If true, wait for changes to actually happen ordering optional : Define ordering guarantees for the operation Request body schema batch required : List of points to insert or update OR points required : Point to insert or update","ref":"Qdrant.Api.Http.Points.html#upsert_points/4","title":"Qdrant.Api.Http.Points.upsert_points/4","type":"function"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:consistency/0","title":"Qdrant.Api.Http.Points.consistency/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:delete_body/0","title":"Qdrant.Api.Http.Points.delete_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:delete_payload_body/0","title":"Qdrant.Api.Http.Points.delete_payload_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:extended_point_id/0","title":"Qdrant.Api.Http.Points.extended_point_id/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:field_condition/0","title":"Qdrant.Api.Http.Points.field_condition/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:filter_type/0","title":"Qdrant.Api.Http.Points.filter_type/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:get_points_body/0","title":"Qdrant.Api.Http.Points.get_points_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:hnsw_config/0","title":"Qdrant.Api.Http.Points.hnsw_config/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:optimizers_config/0","title":"Qdrant.Api.Http.Points.optimizers_config/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:ordering/0","title":"Qdrant.Api.Http.Points.ordering/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:point/0","title":"Qdrant.Api.Http.Points.point/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:points_batch/0","title":"Qdrant.Api.Http.Points.points_batch/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:points_list/0","title":"Qdrant.Api.Http.Points.points_list/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:quantization_config/0","title":"Qdrant.Api.Http.Points.quantization_config/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:recommend_batch_body/0","title":"Qdrant.Api.Http.Points.recommend_batch_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:recommend_body/0","title":"Qdrant.Api.Http.Points.recommend_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:scroll_body/0","title":"Qdrant.Api.Http.Points.scroll_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:search_batch_body/0","title":"Qdrant.Api.Http.Points.search_batch_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:search_body/0","title":"Qdrant.Api.Http.Points.search_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:search_params/0","title":"Qdrant.Api.Http.Points.search_params/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:search_request/0","title":"Qdrant.Api.Http.Points.search_request/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:set_payload_body/0","title":"Qdrant.Api.Http.Points.set_payload_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:upsert_body/0","title":"Qdrant.Api.Http.Points.upsert_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:vector/0","title":"Qdrant.Api.Http.Points.vector/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:vectors/0","title":"Qdrant.Api.Http.Points.vectors/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Points.html#t:with_payload_interface/0","title":"Qdrant.Api.Http.Points.with_payload_interface/0","type":"type"},{"doc":"Fetch various telemetry data and all collections aliases.","ref":"Qdrant.Api.Http.Service.html","title":"Qdrant.Api.Http.Service","type":"module"},{"doc":"Get list of all existing collections aliases See more on qdrant Example iex&gt; Qdrant . list_collections_aliases ( ) %{ :ok , %{ time : 0 , status : &quot;ok&quot; , result : %{ } , aliases : [ %{ alias_name : &quot;string&quot; , collection_name : &quot;string&quot; } ] } }","ref":"Qdrant.Api.Http.Service.html#list_collections_aliases/0","title":"Qdrant.Api.Http.Service.list_collections_aliases/0","type":"function"},{"doc":"Get lock options Get lock options. If write is locked, all write operations and collection creation are forbidden","ref":"Qdrant.Api.Http.Service.html#lock_options/0","title":"Qdrant.Api.Http.Service.lock_options/0","type":"function"},{"doc":"Collect Prometheus metrics data Collect metrics data including app info, collections info, cluster info and statistics","ref":"Qdrant.Api.Http.Service.html#metrics/0","title":"Qdrant.Api.Http.Service.metrics/0","type":"function"},{"doc":"Set lock options Set lock options. If write is locked, all write operations and collection creation are forbidden. Returns previous lock options Request body schema error_message - Error message to return on write operations write - Write lock flag. If true, all write operations and collection creation are forbidden Example iex&gt; Qdrant . set_lock_options ( %{ error_message : &quot;string&quot; , write : true } ) %{ :ok , %{ time : 0 , status : &quot;ok&quot; , result : %{ error_message : &quot;string&quot; , write : true } } }","ref":"Qdrant.Api.Http.Service.html#set_lock_options/1","title":"Qdrant.Api.Http.Service.set_lock_options/1","type":"function"},{"doc":"Collect telemetry data Collect telemetry data including app info, system info, collections info, cluster info, configs and statistics","ref":"Qdrant.Api.Http.Service.html#telemetry/0","title":"Qdrant.Api.Http.Service.telemetry/0","type":"function"},{"doc":"","ref":"Qdrant.Api.Wrapper.html","title":"Qdrant.Api.Wrapper","type":"module"},{"doc":"","ref":"Qdrant.Utils.Response.html","title":"Qdrant.Utils.Response","type":"module"},{"doc":"This module contains basic types (primitives of sort) used in this Qdrant library.","ref":"Qdrant.Utils.Types.html","title":"Qdrant.Utils.Types","type":"module"},{"doc":"An Elixir client for the Qdrant vector similarity search engine. This library provides a convenient way to interact with the Qdrant API, offering functionality to create collections, insert vectors, search, delete data, and more.","ref":"readme.html","title":"Qdrant Elixir Client","type":"extras"},{"doc":"It's available in Hex , the package can be installed by adding qdrant to your list of dependencies in mix.exs : def deps do [ { :qdrant , &quot;~&gt; 0.7.0&quot; } # Or use the latest version from GitHub | Recommended during development phase { :qdrant , git : &quot;git@github.com:marinac-dev/qdrant.git&quot; } , ] end","ref":"readme.html#installation","title":"Qdrant Elixir Client - Installation","type":"extras"},{"doc":"config :qdrant , port : 6333 , interface : &quot;rest&quot; , # gRPC not yet supported database_url : System . get_env ( &quot;QDRANT_DATABASE_URL&quot; ) , # If you are using cloud version of Qdrant, add API key api_key : System . get_env ( &quot;QDRANT_API_KEY&quot; )","ref":"readme.html#config","title":"Qdrant Elixir Client - Config","type":"extras"},{"doc":"The Qdrant Elixir Client provides a simple interface for interacting with the Qdrant API. For example, you can create a new collection, insert vectors, search, and delete data using the provided functions. collection_name = &quot;my-collection&quot; # Create a new collection # The vectors are 1536-dimensional (because of OpenAi embedding) and use the Cosine distance metric Qdrant . create_collection ( collection_name , %{ vectors : %{ size : 1536 , distance : &quot;Cosine&quot; } } ) # Create embeddings for some text vector1 = OpenAi . embed_text ( &quot;Hello world&quot; ) vector2 = OpenAi . embed_text ( &quot;This is OpenAI&quot; ) # Now we can insert the vectors with batch Qdrant . upsert_points ( collection_name , %{ batch : %{ ids : [ 1 , 2 ] , vectors : [ vector1 , vector2 ] } } ) # Or one by one Qdrant . upsert_point ( collection_name , %{ points : [ %{ id : 1 , vector : vector1 } , %{ id : 2 , vector : vector2 } ] } ) # Search for similar vectors vector3 = OpenAi . embed_text ( &quot;Hello world!&quot; ) Qdrant . search ( collection_name , %{ vector : vector3 , limit : 3 } )","ref":"readme.html#usage","title":"Qdrant Elixir Client - Usage","type":"extras"},{"doc":"Fork the repository Create a branch for your changes Make your changes Run mix format to format your code","ref":"readme.html#contributing","title":"Qdrant Elixir Client - Contributing","type":"extras"},{"doc":"Generate change log with git-chglog -o CHANGELOG.md","ref":"readme.html#change-log","title":"Qdrant Elixir Client - Change Log","type":"extras"},{"doc":"This project is licensed under the MIT License - see the LICENSE file for details","ref":"readme.html#license","title":"Qdrant Elixir Client - License","type":"extras"},{"doc":"","ref":"changelog.html","title":"CHANGELOG","type":"extras"},{"doc":"2023-05-14 Chores Update hex.pm license Features qdrant: Multiple changes qdrant: Add API key for Cloud and make port configurable. ( #4 )","ref":"changelog.html#v0-0-7","title":"CHANGELOG - v0.0.7","type":"extras"},{"doc":"2023-04-23 Bug Fixes qdrant-points: Fix upsert_body typespec and use PUT instead of POST Chores Bump version Update README.md Update LICENSE Update CHANGELOG Features qdrant: Add API key for Cloud and make port configurable. qdrant: Update Qdrant module qdrant: Decouple Points from Collections into it's own module qdrant: WIP Qdrant module qdrant: Add Api Wrapper module qdrant-types: Extract typespec into module Tidbit Update variable name","ref":"changelog.html#v0-0-6","title":"CHANGELOG - v0.0.6","type":"extras"},{"doc":"2023-04-07 Chores Bump version Features qdrant: Add Service module","ref":"changelog.html#v0-0-5","title":"CHANGELOG - v0.0.5","type":"extras"},{"doc":"2023-04-07 Bug Fixes qdrant: Remove missing application type: Fix upsert_body typespec Chores Update CHANGELOG and gitignore Bump version Features api-http: Add upsert_points fn qdrant: Add scroll_points, search_points_batch, recommend_points, and recommend_points_batch FN-s qdrant: Add set_payload, overwrite_payload, delete_payload, clear_payload FN-s qdrant: Add delete_points and search_points fn qdrant: Add qdrant applicaiton","ref":"changelog.html#v0-0-4","title":"CHANGELOG - v0.0.4","type":"extras"},{"doc":"2023-04-07 Chores Changelog update Features api-http: Add Cluster module with fns ( #2 )","ref":"changelog.html#v0-0-3","title":"CHANGELOG - v0.0.3","type":"extras"},{"doc":"2023-04-07 Features api-http: Add Collections HTTP module ( #1 )","ref":"changelog.html#v0-0-2","title":"CHANGELOG - v0.0.2","type":"extras"},{"doc":"2023-04-07 Chores Decrese project version Update readme Add jason dependency Add tesla as HTTP client Add docs dependency Add CHANGELOG Prepare package for release Features api-http: Add client module Tidbit Update formater and .gitignore","ref":"changelog.html#v0-0-1","title":"CHANGELOG - v0.0.1","type":"extras"},{"doc":"MIT License Copyright (c) 2023 Nikola Djordjevic Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]